View Issue Details

IDProjectCategoryView StatusLast Update
0000615luatexluatex bugpublic2011-05-10 08:56
ReporterphiAssigned ToTaco 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformCore 2 DuoOSOS XOS Version10.6.7
Product Version0.66.0 
Target VersionFixed in Version0.70.0 
Summary0000615: LuaTeX writes recorder file to current instead of output directory
DescriptionCurrently LuaTeX places the recorder file in the current directory instead of the output directory. The attached patch fixes this.
TagsNo tags attached.

Activities

phi

2011-04-28 23:03

reporter  

recorder-dir.patch (1,129 bytes)
Index: source/texk/web2c/luatexdir/tex/texfileio.w
===================================================================
--- source/texk/web2c/luatexdir/tex/texfileio.w	(revision 4219)
+++ source/texk/web2c/luatexdir/tex/texfileio.w	(working copy)
@@ -784,7 +784,17 @@
 @c
 unsigned char *texmf_log_name;  /* full name of the log file */
 
+static void set_recorder_filename(char *filename) {
+    if (output_directory) {
+        filename = concat3(output_directory, DIR_SEP_STRING, filename);
+        recorder_change_filename(filename);
+        free(filename);
+    } else {
+        recorder_change_filename(filename);
+    }
+}
 
+
 @ The |open_log_file| routine is used to open the transcript file and to help
 it catch up to what has previously been printed on the terminal.
 
@@ -799,7 +809,7 @@
     if (job_name == 0)
         job_name = getjobname(maketexstring("texput")); /* TODO */
     fn = pack_job_name(".fls");
-    recorder_change_filename(fn);
+    set_recorder_filename(fn);
     fn = pack_job_name(".log");
     while (!lua_a_open_out(&log_file, fn, 0)) {
         /* Try to get a different log file name */
recorder-dir.patch (1,129 bytes)

Taco

2011-04-30 09:34

administrator   ~0000829

Patch applied, thanks a lot.

Issue History

Date Modified Username Field Change
2011-04-28 23:03 phi New Issue
2011-04-28 23:03 phi File Added: recorder-dir.patch
2011-04-30 09:34 Taco Note Added: 0000829
2011-04-30 09:34 Taco Status new => resolved
2011-04-30 09:34 Taco Resolution open => fixed
2011-04-30 09:34 Taco Assigned To => Taco
2011-05-10 08:56 Taco Fixed in Version => 0.70.0
2011-05-10 08:56 Taco Status resolved => closed